## git-annex 6.20160418

=== debian/changelog ===
git-annex (6.20160418-1) unstable; urgency=medium

  * Package 6.20160418-1

 -- Richard Hartmann <richih@debian.org>  Thu, 21 Apr 2016 06:12:10 +0200

git-annex (6.20160418) unstable; urgency=medium

  * smudge: Print a warning when annex.thin is set, as git's smudge
    interface does not allow honoring that configuration.
  * webapp: When $HOME is a git repository, and has been initialized for
    use by git-annex, opening the webapp went ahead and ran the assistant
    there, annexing all files. Since this is almost certianly not
    desirable, especially when the user is just opening the webapp from
    a dekstop menu which happens to run it in $HOME, the webapp will now not
    treat such a $HOME git repository as a git-annex repository.
  * webapp: Update url to add gitlab.com ssh key.
  * Fix bug in v6 mode that prevented treating unlocked executable files
    as annexed. If you have such files, run git annex init --version=6
    to update the cache after upgrading to this version of git-annex.
  * Preserve execute bits of unlocked files in v6 mode.
  * fsck: Warn when core.sharedRepository is set and an annex object file's
    write bit is not set and cannot be set due to the file being owned
    by a different user.
  * Fix hang when dropping content needs to lock the content on a
    ssh remote, which occurred when the remote has git-annex version
    5.20151019 or newer. (The bug was in the client side; the remote
    git-annex-shell does not need to be upgraded.)

 -- Joey Hess <id@joeyh.name>  Mon, 18 Apr 2016 18:33:52 -0400

git-annex (6.20160412-1) unstable; urgency=medium

  * Package 6.20160412-1

 -- Richard Hartmann <richih@debian.org>  Fri, 15 Apr 2016 01:14:02 +0200

git-annex (6.20160412) unstable; urgency=medium

  * adjust --unlock: Enters an adjusted branch in which all annexed files
    are unlocked. The v6 equivilant of direct mode, but much cleaner!
  * Upgrading a direct mode repository to v6 has changed to enter
    an adjusted unlocked branch. This makes the direct mode to v6 upgrade
    able to be performed in one clone of a repository without affecting
    other clones, which can continue using v5 and direct mode.
  * init --version=6: Automatically enter the adjusted unlocked branch
    when filesystem doesn't support symlinks.
  * ddar remote: fix ssh calls
    Thanks, Robie Basak
  * log: Display time with time zone.
  * log --raw-date: Use to display seconds from unix epoch.
  * v6: Close pointer file handles more quickly, to avoid problems on Windows.
  * sync: Show output of git commit.
  * annex.thin and annex.hardlink are now supported on Windows.
  * unannex --fast now makes hard links on Windows.
  * Fix bug in annex.largefiles mimetype= matching when git-annex
    is run in a subdirectory of the repository.
  * Fix build with ghc v7.11. Thanks, Gabor Greif.

 -- Joey Hess <id@joeyh.name>  Tue, 12 Apr 2016 14:53:22 -0400

git-annex (6.20160318) unstable; urgency=medium

  * metadata: Added -r to remove all current values of a field.
  * Fix data loss that can occur when annex.pidlock is set in a repository.
  * Fix bug preventing moving files to/from a repository with annex.pidlock set.
  * Fix shared lock file FD leak.
  * Fix metadata hook behavior when multiple files are added at once.
    Thanks, Klaus Ethgen.
  * Added dependencies on haskell mountpoints and disk-free-space
    libraries, removing FFI code from git-annex.
  * dropkey: Add --batch and --json.
  * Fix OSX dmg to include libraries needed by bundled gpg,
    lost in last release.
  * Always try to thaw content, even when annex.crippledfilesystem is set.
  * Correct git-annex info to include unlocked files in v6 repository.
  * Sped up git-annex add in direct mode and v6 by using
    git hash-object --stdin-paths.
  * Sped up git-annex merge by using git hash-object --stdin-paths.

 -- Joey Hess <id@joeyh.name>  Fri, 18 Mar 2016 11:30:36 -0400

git-annex (6.20160229-1) unstable; urgency=medium

  * Package 6.20160229-1

 -- Richard Hartmann <richih@debian.org>  Tue, 08 Mar 2016 00:12:28 +0100

git-annex (6.20160229) unstable; urgency=medium

  * Update perlmagick build dependency. Closes: #789225
  * Fix memory leak in last release, which affected commands like
    git-annex status when a large non-annexed file is present in the work
    tree.
  * fsck: When the only copy of a file is in a dead repository, mention
    the repository.
  * info: Mention when run in a dead repository.
  * Linux and OSX standalone builds put the bundled gpg last in PATH,
    so any system gpg will be preferred over it.
  * Avoid crashing when built with MagicMime support, but when the magic
    database cannot be loaded.
  * Include magic database in the linux and OSX standalone builds.
  * Fix memory leak when hashing files, which triggered during fsck
    when an external hash program was not used.
    (This leak was introduced in version 6.20160114.)
  * Support --metadata field<number, --metadata field>number etc
    to match ranges of numeric values.
  * Similarly, support preferred content expressions like
    metadata=field<number and metadata=field>number
  * The pre-commit-annex hook script that automatically extracts
    metadata has been updated to also use exiftool.
    Thanks, Klaus Ethgen.

 -- Joey Hess <id@joeyh.name>  Mon, 29 Feb 2016 12:41:49 -0400

git-annex (6.20160217) unstable; urgency=medium

  * Support getting files from read-only repositories.
  * checkpresentkey: Allow to be run without an explicit remote.
  * checkpresentkey: Added --batch.
  * Work around problem with concurrent-output when in a non-unicode locale
    by avoiding use of it in such a locale. Instead -J will behave as if
    it was built without concurrent-output support in this situation.
  * Fix storing of filenames of v6 unlocked files when the filename is not
    representable in the current locale.
  * fsck: Detect and fix missing associated file mappings in v6 repositories.

