## git-annex 6.20160719

=== Makefile ===
--- 
+++ 
@@ -28,6 +28,11 @@
 		ln -sf $$(find .stack-work/ -name git-annex -type f | grep build/git-annex/git-annex | tail -n 1) git-annex; \
 	else \
 		ln -sf dist/build/git-annex/git-annex git-annex; \
+	fi
+	# Work around https://github.com/haskell/cabal/issues/3524
+	# when not linked dynamically to haskell libs
+	@if ! ldd git-annex | grep -q libHS; then \
+		chrpath -d git-annex || echo "** unable to chrpath git-annex; it will be a little bit slower than necessary"; \
 	fi
 
 # These are not built normally.
@@ -96,7 +101,7 @@
 		doc/.ikiwiki html dist tags Build/SysConfig.hs \
 		Setup Build/InstallDesktopFile Build/EvilSplicer \
 		Build/Standalone Build/OSXMkLibs Build/LinuxMkLibs \
-		Build/DistributionUpdate Build/BuildVersion Build/Mans \
+		Build/DistributionUpdate Build/BuildVersion Build/MakeMans \
 		git-union-merge .tasty-rerun-log
 	find . -name \*.o -exec rm {} \;
 	find . -name \*.hi -exec rm {} \;
@@ -277,8 +282,3 @@
 
 distributionupdate:
 	git pull
-	cabal configure
-	ghc -Wall -fno-warn-tabs --make Build/DistributionUpdate -XPackageImports -optP-include -optPdist/build/autogen/cabal_macros.h
-	./Build/DistributionUpdate
-
-.PHONY: git-annex git-union-merge tags
