=== debian/changelog ===
git-annex (6.20160719-1) unstable; urgency=medium

  * Package 6.20160719-1
  * Note that upstream typo-ed the version as June, I am releasing as July

 -- Richard Hartmann <richih@debian.org>  Wed, 20 Jul 2016 07:50:14 +0200

git-annex (6.20160619) unstable; urgency=medium

  * get, drop: Add --batch and --json options.
  * testremote: Fix crash when testing a freshly made external special remote.
  * Remove unnecessary rpaths in the git-annex binary, but only when
    it's built using make, not cabal. 
    This speeds up git-annex startup time by around 50%.
  * Speed up startup time by caching the refs that have been merged into
    the git-annex branch.
    This can speed up git-annex commands by as much as a second,
    depending on the number of remotes.
  * fsck: Fix a reversion in direct mode fsck of a file that is
    present when the location log thinks it is not. Reversion introduced
    in version 5.20151208.
  * uninit: Fix crash due to trying to write to deleted keys db.
    Reversion introduced by v6 mode support, affects v5 too.
  * Fix a similar crash when the webapp is used to delete a repository.
  * Support checking presence of content at a http url that redirects to
    a ftp url.
  * log: Added --all option.
  * New url for git-remote-gcrypt, now maintained by spwhitton.
  * webapp: Don't allow deleting a remote that has syncing disabled,
    as such a deletion will never finish.
    Thanks, Farhan Kathawala.
  * webapp: Escape unusual characters in ssh hostnames when generating
    mangled hostnames. This allows IPv6 addresses to be used on filesystems
    not supporting : in filenames.
  * Avoid any access to keys database in v5 mode repositories, which 
    are not supposed to use that database.
  * Remove the EKG build flag, since Gentoo for some reason decided to
    enable this flag, depsite it not being intended for production use and
    so disabled by default.

 -- Joey Hess <id@joeyh.name>  Tue, 19 Jul 2016 14:17:54 -0400
