=== debian/control ===
--- 
+++ 
@@ -86,6 +86,7 @@
 	curl,
 	openssh-client,
 	git-remote-gcrypt (>= 0.20130908-6),
+	chrpath,
 Maintainer: Richard Hartmann <richih@debian.org>
 Standards-Version: 3.9.8
 Vcs-Git: git://git.kitenet.net/git-annex
